curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/promote-to-custom-domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pluginId": "sample-funnel-v1-abc123",
"storeId": "store_123",
"hostname": "checkout.example.com",
"path": "/checkout"
}
'{
"success": true,
"message": "Plugin promoted to custom domain successfully",
"route": {
"id": "route_123",
"pluginId": "sample-funnel-v1-abc123",
"storeId": "store_123",
"hostname": "checkout.example.com",
"path": "/checkout",
"createdAt": "2024-03-20T10:30:00Z"
}
}Promote a plugin to a custom domain. This will create a new route for the plugin.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/promote-to-custom-domain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pluginId": "sample-funnel-v1-abc123",
"storeId": "store_123",
"hostname": "checkout.example.com",
"path": "/checkout"
}
'{
"success": true,
"message": "Plugin promoted to custom domain successfully",
"route": {
"id": "route_123",
"pluginId": "sample-funnel-v1-abc123",
"storeId": "store_123",
"hostname": "checkout.example.com",
"path": "/checkout",
"createdAt": "2024-03-20T10:30:00Z"
}
}